    # File lib/facets/yore/annotation.rb, line 199
      def ann( key=nil, *options )
        return annotations unless key
        return name.collect{|k,v| ann k,*v} if Hash === key
        return annotations[key] if options.empty?
        opt = {}
        opt.update options.pop if Hash === options.last
        opt[:class] = options.pop if Class === options.last
        keys = [key].concat options
        keys.each do |key|
          note = annotations[key]
          #unless options.empty?
          #  (hopt[:tags] ||= []) << options
          #end
          note.send(:update,opt)
        end
        keys
      end